/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.engine.cache;


import com.funambol.framework.engine.SyncItemKey;

/**
 *
 * @version $Id: CrcSyncItemInfo.java,v 1.2 2006/08/08 09:29:36 gibi Exp $
 */
public class CrcSyncItemInfo {

    // -------------------------------------------------------------- Properties

    /**
     *
     */
    private long lastCrc;


    /**
     *
     */
    private SyncItemKey key;


    /**
     *
     * @return lastCrc long
     */
    public long getLastCrc() {
        return lastCrc;
    }

    /**
     *
     * @param lastCrc long
     */
    public void setLastCrc(long lastCrc) {
        this.lastCrc = lastCrc;
    }

    /**
     *
     * @return SyncItemKey
     */
    public SyncItemKey getKey() {
        return key;
    }

    /**
     *
     * @param key SyncItemKey
     */
    public void setKey(SyncItemKey key) {
        this.key = key;
    }

    /**
     *
     * @param key String
     */
    public void setKey(String key) {
        this.key = new SyncItemKey(key);
    }

    // ------------------------------------------------------------ Constructors

    /**
     *
     */
    public CrcSyncItemInfo() {
    }


    /**
     *
     *
     * @param sKey String
     * @param lastCrc long
     */
    public CrcSyncItemInfo(String sKey, long lastCrc) {
        SyncItemKey key = new SyncItemKey(sKey);
        this.key     = key;
        this.lastCrc = lastCrc;
    }

    /**
     *
     *
     * @param key SyncItemKey
     * @param lastCrc long
     */
    public CrcSyncItemInfo(SyncItemKey key, long lastCrc) {
        this.key     = key;
        this.lastCrc = lastCrc;
    }


}
