/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.exception;

/**
 *
 * @version $Id: EmailConfigException.java,v 1.3 2006/08/08 09:30:01 gibi Exp $
 */
public class EmailConfigException extends Exception {

    /**
     * Creates a new instance of <code>EmailConfigException</code> without
     * detail message.
     */
    public EmailConfigException() {

    }

    /**
     * Constructs an instance of <code>EmailConfigException</code> with
     * the specified detail message.
     *
     * @param msg the detail message.
     */
    public EmailConfigException(String msg) {
        super(msg);
    }

    /**
     * Constructs an instance of <code>EmailConfigException</code> with
     * the specified detail message.
     *
     * @param msg String
     * @param cause Throwable
     */
    public EmailConfigException(String msg, Throwable cause) {
        super(msg, cause);
    }

}
