/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.pdi.mail;

/**
 *
 * EMAIL DATA OBJECT constants
 *
 * @version $Id: IEMAIL.java,v 1.3 2006/08/08 09:31:38 gibi Exp $
 */
public interface IEMAIL {

    public static final String ROOT_TAG    = "Email"      ;

    public static final String READ        = "read"       ;
    public static final String FORWARDED   = "forwarded"  ;
    public static final String REPLIED     = "replied"    ;
    public static final String RECEIVED    = "received"   ;
    public static final String CREATED     = "created"    ;
    public static final String MODIFIED    = "modified"   ;
    public static final String DELETED     = "deleted"    ;
    public static final String FLAGGED     = "flagged"    ;

    public static final String EMAILITEM   = "emailitem"  ;

}
