/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.transport  ;

import javax.mail.Authenticator;
import javax.mail.PasswordAuthentication;

/**
 *
 *
 * @version $Id: ConnectorAuthenticator.java,v 1.2 2006/08/08 09:32:46 gibi Exp $
 */
public class ConnectorAuthenticator extends Authenticator {

  private String username = "";
  private String password = "";

  public PasswordAuthentication getPasswordAuthentication() {
     return new PasswordAuthentication(username, password);
  }


  public void setUserName(String u){
      username = u;
  }

  public void setPassword(String p){
      password = p;
  }


}