--
-- Initialization data for the EmailSyncConnector module
--
-- @version $Id: create_schema.sql,v 1.1 2006/08/08 09:28:05 gibi Exp $
--


create table fnbl_email_cache (
    id         varchar(200),
    source_uri varchar(128),
    principal  varchar(32),
    last_crc   varchar(32)
);

-- tables folder guids

create table fnbl_email_folder (
    guid       VARCHAR(50),
    parentid   VARCHAR(50),
    path       VARCHAR(500),
    source_uri varchar(128),
    principal  varchar(32)
);

-- tables for POP connector

create table fnbl_email_sentpop (
    id         varchar(200),
    mail       blob,
    source_uri varchar(128),
    principal  varchar(32)
);

-- tables for inboxlistener

create table fnbl_email_account (
    username     varchar(50)  not null,
    password     varchar(50)  not null,
    listener_id  varchar(20)  not null,
    activation   char         not null,

    constraint pk_account primary key (username, password, listener_id)

);




