/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.inboxlistener.engine;



/**
 *
 * @version $Id: DBAccount.java,v 1.3 2006/08/08 09:30:32 gibi Exp $
 */
public class DBAccount
{

  /**   */
  private String jdbcDriver   = null;
  /**   */
  private String jdbcUrl      = null;;
  /**   */
  private String jdbcUser     = null;;
  /**   */
  private String jdbcPassword = null;;

  /** reloading time  */
  private int reloadingTime   = 0;


   /**
    *
    */
   public DBAccount(String jdbcDriver,
                    String jdbcUrl,
                    String jdbcUser,
                    String jdbcPassword,
                    int reloadingTime){
      this.jdbcDriver    = jdbcDriver;
      this.jdbcUrl       = jdbcUrl;
      this.jdbcUser      = jdbcUser;
      this.jdbcPassword  = jdbcPassword;
      this.reloadingTime = reloadingTime;
   }


   /**
    *
    */
   public String getJdbcDriver(){
      return this.jdbcDriver;
   }

   /**
    *
    */
   public String getJdbcUrl(){
      return this.jdbcUrl;
   }

   /**
    *
    */
   public String getJdbcUser(){
      return this.jdbcUser;
   }

   /**
    *
    */
   public String getJdbcPassword(){
      return this.jdbcPassword;
   }

   /**
    *
    */
   public int getReloadingTime(){
      return this.reloadingTime;
   }

}
