/**
 * Copyright (C) 2005-2006 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the Honest Public License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Honest Public License for more details.
 *
 * You should have received a copy of the Honest Public License
 * along with this program; if not, write to Funambol,
 * 643 Bair Island Road, Suite 305 - Redwood City, CA 94063, USA
 */
package com.funambol.email.inboxlistener.engine;



/**
 *
 * @version $Id: MailboxAccount.java,v 1.4 2006/08/08 09:30:32 gibi Exp $
 */
public class MailboxAccount
{

   private String  user       ;
   private String  password   ;
   private boolean isEnable   ;
   private String  listenerID ;

   /**
    *
    */
   public MailboxAccount(String user,
                         String password,
                         boolean isEnable,
                         String listenerID){
      this.user       = user;
      this.password   = password;
      this.isEnable   = isEnable;
      this.listenerID = listenerID;
   }

   /**
    *
    */
   public String getUser(){
      return this.user;
   }

   /**
    *
    */
   public String getPassword(){
      return this.password;
   }

   /**
    *
    */
   public boolean isEnable(){
      return this.isEnable;
   }

   /**
    *
    */
   public String getListenerID(){
      return this.listenerID;
   }


   /**
    *
    */
   public String toString(){
      return this.getUser() + " [id:" + this.getListenerID() +"]" ;
   }

}
