--
-- Initialization data for the EmailSyncConnector module
--
-- @version $Id: create_schema.sql,v 1.1 2006/08/08 09:28:32 gibi Exp $
--


create table fnbl_email_cache (
    id         varchar2(200),
    source_uri varchar2(128),
    principal  integer,
    last_crc   number
);


-- tables folder guids

create table fnbl_email_folder (
    guid       VARCHAR2(50),
    parentid   VARCHAR2(50),
    path       VARCHAR2(500),
    source_uri varchar2(128),
    principal  integer
);

-- tables for POP connector

create table fnbl_email_sentpop (
    id         varchar2(200),
    mail       blob,
    source_uri varchar2(128),
    principal  integer
);

-- tables for inboxlistener

create table fnbl_email_account (
    username     varchar2(50)  not null,
    password     varchar2(50)  not null,
    listener_id  varchar2(20)  not null,
    activation   char          not null,

    constraint pk_account primary key (username, password, listener_id)

);


